> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Create Job Result

POST https://host.com/apis/jobs/v2/workspaces/{workspace}/jobs/{job}/results/{name}
Content-Type: application/json

Create a new result for a job.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/jobs/create-job-result-apis-jobs-v-2-workspaces-workspace-jobs-job-results-name-post

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/jobs/v2/workspaces/{workspace}/jobs/{job}/results/{name}:
    post:
      operationId: >-
        create-job-result-apis-jobs-v-2-workspaces-workspace-jobs-job-results-name-post
      summary: Create Job Result
      description: Create a new result for a job.
      tags:
        - subpackage_jobs
      parameters:
        - name: job
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: workspace
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformJobResultResponse'
        '404':
          description: Job not Found
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformJobResultCreateRequest'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    FileStorageType:
      type: string
      enum:
        - fileset
      title: FileStorageType
    PlatformJobResultCreateRequest:
      type: object
      properties:
        artifact_url:
          type: string
        artifact_storage_type:
          $ref: '#/components/schemas/FileStorageType'
      required:
        - artifact_url
        - artifact_storage_type
      title: PlatformJobResultCreateRequest
    PlatformJobResultResponse:
      type: object
      properties:
        name:
          type: string
        job:
          type: string
        workspace:
          type: string
        project:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        artifact_url:
          type: string
        artifact_storage_type:
          $ref: '#/components/schemas/FileStorageType'
        download_url:
          type: string
      required:
        - name
        - job
        - workspace
        - artifact_url
        - artifact_storage_type
      title: PlatformJobResultResponse
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{
  "artifact_url": "s3://nemo-platform-results/job123/output/results.tar.gz",
  "artifact_storage_type": "fileset"
}
```

**Response**

```json
{
  "name": "final-results",
  "job": "job123",
  "workspace": "research-team-alpha",
  "artifact_url": "s3://nemo-platform-results/job123/output/results.tar.gz",
  "artifact_storage_type": "fileset",
  "project": "genomics-analysis",
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "download_url": "https://nemo-platform-downloads.s3.amazonaws.com/job123/results.tar.gz"
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/results/name"

payload = {
    "artifact_url": "s3://nemo-platform-results/job123/output/results.tar.gz",
    "artifact_storage_type": "fileset"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/results/name';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"artifact_url":"s3://nemo-platform-results/job123/output/results.tar.gz","artifact_storage_type":"fileset"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/results/name"

	payload := strings.NewReader("{\n  \"artifact_url\": \"s3://nemo-platform-results/job123/output/results.tar.gz\",\n  \"artifact_storage_type\": \"fileset\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/results/name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"artifact_url\": \"s3://nemo-platform-results/job123/output/results.tar.gz\",\n  \"artifact_storage_type\": \"fileset\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/results/name")
  .header("Content-Type", "application/json")
  .body("{\n  \"artifact_url\": \"s3://nemo-platform-results/job123/output/results.tar.gz\",\n  \"artifact_storage_type\": \"fileset\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/results/name', [
  'body' => '{
  "artifact_url": "s3://nemo-platform-results/job123/output/results.tar.gz",
  "artifact_storage_type": "fileset"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/results/name");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"artifact_url\": \"s3://nemo-platform-results/job123/output/results.tar.gz\",\n  \"artifact_storage_type\": \"fileset\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "artifact_url": "s3://nemo-platform-results/job123/output/results.tar.gz",
  "artifact_storage_type": "fileset"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/results/name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```